Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355675 - ipa-server-install causes AVC denial about ipa_dnskey_t named_cache_t
Summary: ipa-server-install causes AVC denial about ipa_dnskey_t named_cache_t
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 08:28 UTC by Jan Pazdziora
Modified: 2016-08-12 12:53 UTC (History)
15 users (show)

Fixed In Version: selinux-policy-3.13.1-191.10.fc24.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 12:53:33 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2016-07-12 08:28:20 UTC
Description of problem:

Running ipa-server-install produces AVC denial

type=AVC msg=audit(1468309816.594:416): avc:  denied  { search } for  pid=23617 comm="ipa-dnskeysyncd" name="softhsm" dev="dm-0" ino=8558989 scontext=system_u:system_r:ipa_dnskey_t:s0 tcontext=system_u:object_r:named_cache_t:s0 tclass=dir permissive=0

IPA's functionality does not seem affected though.

Version-Release number of selected component (if applicable):

freeipa-server-4.3.1-1.fc24.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Run ipa-server-install --setup-dns --forwarder=10.11.12.13 -r EXAMPLE.TEST -n example.test -p Secret123 -a Secret123
2. Check audit.log.

Actual results:

type=AVC msg=audit(1468309816.594:416): avc:  denied  { search } for  pid=23617 comm="ipa-dnskeysyncd" name="softhsm" dev="dm-0" ino=8558989 scontext=system_u:system_r:ipa_dnskey_t:s0 tcontext=system_u:object_r:named_cache_t:s0 tclass=dir permissive=0

Expected results:

No AVC denial.

Additional info:

Comment 2 Petr Spacek 2016-07-12 10:05:33 UTC
What version of selinux-policy do you have? Quick grep over TESTOUT.log did not yield an answer.

Comment 3 Jan Pazdziora 2016-07-12 11:33:07 UTC
selinux-policy-3.13.1-191.5.fc24.noarch

Comment 4 Petr Spacek 2016-07-22 15:58:44 UTC
Okay, this really seems like SELinux policy issue. Changing component.

Comment 5 Jan Pazdziora 2016-07-26 12:34:00 UTC
I wonder what the ask is here. We shouldn't be throwing bugzillas to the SELinux team without being explicit whether an allow is needed or different label or something else ...

Comment 6 Petr Spacek 2016-08-12 12:53:33 UTC
This is no longer reproducible. Tested with:
freeipa-server-4.3.2-1.fc24.x86_64
selinux-policy-3.13.1-191.10.fc24.noarch


Note You need to log in before you can comment on or make changes to this bug.